Having an abstract UnitTest type causes TestManager to throw an exception
05/28/2016 06:47 AM - blowfish

Status: Closed Start date: 05/28/2016
Severity: Very Low % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When writing a large number of tests, it's often useful to have an abstract superclass, particularly for e.g. PartModules where a lot of
setup has to be done to get into a testable state. However, it looks like TestManager doesn't check whether UnitTest subclasses are
abstract (or generic | think) before adding them, so instead it generates an exception.

Marking as very low because (1) I'm probably one of like three people who actually try to do any sort of unit testing in KSP mods, and
(2) I may end up using my own test runner at some point

History

#2 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/17/2016 08:40 PM - blowfish

This can be closed, NathanKell fixed it for 1.1.3

#4 - 07/17/2016 08:40 PM - blowfish
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#5 - 07/17/2016 08:40 PM - blowfish

- Status changed from Resolved to Closed
